Bug 1518871 - Script to re-generate /var/lib/graphite-web/index lives on a different directory than search.py expects
Summary: Script to re-generate /var/lib/graphite-web/index lives on a different direct...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: graphite-web
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-29 16:53 UTC by Andrea Veri
Modified: 2018-01-30 20:22 UTC (History)
3 users (show)

Fixed In Version: graphite-web-0.9.16-2.el7 graphite-web-0.9.16-2.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-30 16:51:12 UTC


Attachments (Terms of Use)

Description Andrea Veri 2017-11-29 16:53:21 UTC
Description of problem:

https://github.com/tmm1/graphite/blob/master/webapp/graphite/metrics/search.py#L9 looks on whether the index file is present and if not attempts to re-generate it by calling the GRAPHITE_ROOT/bin/build-index.sh script. The aforementioned script was however:

1. renamed to build-index-graphite [1]
2. placed within a different directory than what search.py expects

[1] http://pkgs.fedoraproject.org/cgit/rpms/graphite-web.git/tree/graphite-web.spec#n100 


Version-Release number of selected component (if applicable):
graphite-web-0.9.16-1.el6.noarch
graphite-web-0.9.16-1.el7.noarch


How reproducible:
Always


Steps to Reproduce:
1. rm /var/lib/graphite-web/index
2. ls -al /var/lib/graphite-web/index

Actual results:

-rw-r--r--. 1 apache apache 0 Nov 29 09:52 /var/lib/graphite-web/index


Expected results:

index file being re-generated by using the build-index.sh script

Comment 1 Fedora Update System 2017-12-26 21:44:21 UTC
graphite-web-0.9.16-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5bc8c2d5a0

Comment 2 Fedora Update System 2017-12-26 21:45:16 UTC
graphite-web-0.9.16-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8457f56177

Comment 3 Fedora Update System 2017-12-27 21:52:53 UTC
graphite-web-0.9.16-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8457f56177

Comment 4 Fedora Update System 2017-12-27 22:53:03 UTC
graphite-web-0.9.16-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5bc8c2d5a0

Comment 5 Piotr Popieluch 2017-12-28 20:10:30 UTC
Thank you for reporting, this should be fixed in the updates. Testing the update and giving feedback would be appreciated.

Comment 6 Fedora Update System 2018-01-30 16:51:12 UTC
graphite-web-0.9.16-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-01-30 20:22:09 UTC
graphite-web-0.9.16-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.